# orconce

## Functions

### orc_once_enter

    orc_bool
    orc_once_enter (OrcOnce * once,
                    void ** value)

Parameters:

`once` –
No description available
`value` –
No description available
Returns (orc_bool) –
No description available

### orc_once_leave

    void
    orc_once_leave (OrcOnce * once,
                    void * value)

Parameters:

`once` –
No description available
`value` –
No description available
Returns (void ) –
No description available

### orc_once_mutex_lock

    void
    orc_once_mutex_lock ()

Returns (void ) –
No description available

### orc_once_mutex_unlock

    void
    orc_once_mutex_unlock ()

Returns (void ) –
No description available

## Structures

### OrcOnce

    struct _OrcOnce {
      orc_once_atomic_int inited;
      void *value;
    };

#### Fields

`inited` (orc_once_atomic_int) –
No description available
`value` (void *) –
No description available

## Exported Variables

### inited

      int inited;

## Aliases

### orc_once_atomic_int

    typedef atomic_int orc_once_atomic_int

The results of the search are